variables:
  FF_USE_FASTZIP: "true" # enable fastzip - a faster zip implementation that also supports level configuration.
  ARTIFACT_COMPRESSION_LEVEL: default 
  CACHE_COMPRESSION_LEVEL: default 
  TRANSFER_METER_FREQUENCY: 5s # will display transfer progress every 5 seconds for artifacts and remote caches. 
  GIT_DEPTH: 0  # Tells git to fetch all the branches of the project, required by the analysis task
  DOCKER_BUILDKIT: 1 # With BuildKit, you don't need to pull the remote images before building since it caches each build layer in your image registry. Then, when you build the image, each layer is downloaded as needed during the build.


stages:          # List of stages for jobs, and their order of execution
  - Dockerimage 

#-----------------------------------------------------------------------------------------------------------------------
docker-build-main:
#-----------------------------------------------------------------------------------------------------------------------
  stage: Dockerimage
  variables:
    IMG_NAME: "ok-open-ldap"
    DOCKER_FILE: "Dockerfile"  
  image: docker:latest
  services:
  - docker:dind
  before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - ls -l
    - |
      if [[ "$CI_COMMIT_TAG" == "" ]]; then
        tag=":sha-${CI_COMMIT_SHORT_SHA}"
      else
        tag=":$CI_COMMIT_TAG"
      fi
    - docker build --pull -f $DOCKER_FILE -t "$CI_REGISTRY_IMAGE/$IMG_NAME${tag}" -t "$CI_REGISTRY_IMAGE/$IMG_NAME" --cache-from "$CI_REGISTRY_IMAGE/$IMG_NAME"  --build-arg BUILDKIT_INLINE_CACHE=1 .
    - docker push "$CI_REGISTRY_IMAGE/$IMG_NAME" --all-tags    

